import type { App } from 'vue';
import NsViewAddForm from './service/add-form.vue';
import NsViewListTable from './service/list-table.vue';
import NsViewDetail from './service/detail.vue';
import NsViewDetailV2 from './service/detailV2.vue';
import NsViewConfig from './config/config.vue';

const components = [NsViewAddForm, NsViewListTable, NsViewDetail, NsViewConfig, NsViewDetailV2];

export function registerGlobalView(app: App) {
  components.forEach((component: any) => {
    app.component(component.name, component);
  });
}
